#version 330 core
layout(location = 0) in vec2 aPos;
layout(location = 1) in vec2 aUV;

uniform vec2 uPos;
uniform vec2 uSize;
uniform vec2 uScreen;

out vec2 vUV;

void main() {
    vec2 scaled = aPos * uSize + uPos;
    vec2 ndc = scaled / uScreen * 2.0 - 1.0;
    gl_Position = vec4(ndc.x, -ndc.y, 0.0, 1.0);
    vUV = vec2(aUV.x, 1.0 - aUV.y);
}
