#pragma once
#include <memory>
#include <fstream>
#include <string>




class Object;

class Engine {
public:
    Engine();
    ~Engine();
    void Run();

private:
    void Init();
    void Shutdown();
    void DrawObjectNode(const std::shared_ptr<Object>& obj); // make sure this matches Engine.cpp
    void SaveScene(const std::string& path);
    void LoadScene(const std::string& path);
        
};
